=== debian/changelog ===
lua-sandbox (1.1.0-2) unstable; urgency=medium

  * Conflicts on upstream package name (luasandbox) to avoid installing both
    together.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 01 Oct 2016 15:16:16 +0200

lua-sandbox (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add git to Build-Depends.
  * Update symbols file.
  * Install /usr/include/luasandbox.h

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2016 15:40:32 +0200

lua-sandbox (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #838969).

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2016 10:51:39 +0200
