=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Heka Maintainers <pkg-heka-maint@lists.alioth.debian.org>
-Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 9), cmake,
-# Only until https://github.com/mozilla-services/lua_sandbox/issues/158 is fixed
- git
+Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>
+Build-Depends: debhelper (>= 9), cmake
 Standards-Version: 3.9.8
 Homepage: https://github.com/mozilla-services/lua_sandbox
 Vcs-Git: https://anonscm.debian.org/pkg-heka/lua-sandbox.git
