=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

PKG_DIR=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
PKG_CONFIG_FILE=$(PKG_DIR)/luasandbox.pc
PKG_CONFIG_FILE_FBSD=$(PKG_DIR)/lua-sandbox.pc
LUA_MULTIARCH_INCLUDE = debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
LUA_MULTIARCH = luasandbox-deb-multiarch.h

%:
	dh $@

override_dh_auto_configure:
	echo "#ifndef _LUA_DEB_MULTIARCH_" > include/luasandbox/$(LUA_MULTIARCH)
	echo "#define _LUA_DEB_MULTIARCH_" >> include/luasandbox/$(LUA_MULTIARCH)
	echo "#define DEB_HOST_MULTIARCH \"$(DEB_HOST_MULTIARCH)\"" >> \
	    include/luasandbox/$(LUA_MULTIARCH)
	echo "#endif" >> include/luasandbox/$(LUA_MULTIARCH)

	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release


override_dh_auto_install:
	dh_auto_install
	mkdir -p `dirname $(PKG_CONFIG_FILE)`
	echo "prefix=/usr" > $(PKG_CONFIG_FILE)
	echo "major_version=sandbox" >> $(PKG_CONFIG_FILE)
	echo "version=sandbox.0" >> $(PKG_CONFIG_FILE)
	echo "lib_name_include=luasandbox" >> $(PKG_CONFIG_FILE)
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
	ln -s $(shell basename $(PKG_CONFIG_FILE)) $(PKG_CONFIG_FILE_FBSD)
	mkdir -p $(LUA_MULTIARCH_INCLUDE)
	cp include/luasandbox/$(LUA_MULTIARCH) $(LUA_MULTIARCH_INCLUDE)

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/luasandbox/$(LUA_MULTIARCH)
