=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d.*)\.tar\.gz/lua-sandbox-$1.tar.gz/" \
https://github.com/mozilla-services/lua_sandbox/releases .*/archive/v?(\d.*)\.tar\.gz
